io.vertx.reactivex.core.eventbus

## Class MessageProducer<T>

- java.lang.Object
- - io.vertx.reactivex.core.eventbus.MessageProducer<T>

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class MessageProducer<T>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents a stream of message that can be written to.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MessageProducer>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageProducer(MessageProducer delegate)`
    `MessageProducer(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `address()`
    `void` | `close()` Same as `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
    `void` | `close(Handler<AsyncResult<Void>> handler)` Same as `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
    `MessageProducer<T>` | `deliveryOptions(DeliveryOptions options)` Update the delivery options of this producer.
    `boolean` | `equals(Object o)`
    `MessageProducer` | `getDelegate()`
    `int` | `hashCode()`
    `static <T> MessageProducer<T>` | `newInstance(MessageProducer arg)`
    `static <T> MessageProducer<T>` | `newInstance(MessageProducer arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `Completable` | `rxClose()` Same as `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
    `Completable` | `rxWrite(T body)` Write a message to the event-bus, either sending or publishing.
    `String` | `toString()`
    `void` | `write(T body)` Write a message to the event-bus, either sending or publishing.
    `void` | `write(T body, Handler<AsyncResult<Void>> handler)` Write a message to the event-bus, either sending or publishing.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MessageProducer> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### MessageProducer

          public MessageProducer(MessageProducer delegate)

    - #### MessageProducer

          public MessageProducer(Object delegate,
                                 io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MessageProducer getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### deliveryOptions

          public MessageProducer<T> deliveryOptions(DeliveryOptions options)

      Update the delivery options of this producer.
      Parameters:
        `options` - the new options
      Returns:
        this producer object

    - #### address

          public String address()

      Returns:
        The address to which the producer produces messages.

    - #### write

          public void write(T body,
                            Handler<AsyncResult<Void>> handler)

      Write a message to the event-bus, either sending or publishing. The `handler` completion depends on the producer type:
      - send or request: the handler is completed successfully if the message has been written; otherwise, the handler is failed
      - publish: the handler is failed if there is no recipient; otherwise, the handler is completed successfully
      In any case, a successfully completed `handler` is not a delivery guarantee.
      Parameters:
        `body` - the message body
        `handler` -

    - #### write

          public void write(T body)

      Write a message to the event-bus, either sending or publishing. The `handler` completion depends on the producer type:
      - send or request: the handler is completed successfully if the message has been written; otherwise, the handler is failed
      - publish: the handler is failed if there is no recipient; otherwise, the handler is completed successfully
      In any case, a successfully completed `handler` is not a delivery guarantee.
      Parameters:
        `body` - the message body

    - #### rxWrite

          public Completable rxWrite(T body)

      Write a message to the event-bus, either sending or publishing. The `handler` completion depends on the producer type:
      - send or request: the handler is completed successfully if the message has been written; otherwise, the handler is failed
      - publish: the handler is failed if there is no recipient; otherwise, the handler is completed successfully
      In any case, a successfully completed `handler` is not a delivery guarantee.
      Parameters:
        `body` - the message body
      Returns:

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Same as `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
      Parameters:
        `handler` -

    - #### close

          public void close()

      Same as `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes

    - #### rxClose

          public Completable rxClose()

      Same as `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
      Returns:

    - #### newInstance

          public static <T> MessageProducer<T> newInstance(MessageProducer arg)

    - #### newInstance

          public static <T> MessageProducer<T> newInstance(MessageProducer arg,
                                                           io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2025 Eclipse. All rights reserved.